Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.method
Class Parameter

    java.lang.Object
      org.springframework.binding.method.Parameter

    public class Parameter

extends java.lang.Object

A named method parameter. Each parameter has an identifying name and is of a specified type (class).

Author:
  Keith Donald

Constructor Summary
`Parameter(java.lang.Class type, Expression name)` Create a new named parameter definition.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `evaluateArgument(java.lang.Object argumentSource)` Evaluate this method parameter against the provided argument source, returning a single method argument value.
`Expression` | `getName()` Returns the parameter name.
`java.lang.Class` | `getType()` Returns the parameter type.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(java.lang.Class type,
                     Expression name)

  Create a new named parameter definition. Named parameters are capable of resolving parameter values (arguments) from argument sources.

  Parameters:
    `type` - the parameter type, may be null
    `name` - the name the method argument expression (required)

Method Detail

### getType

    public java.lang.Class getType()

  Returns the parameter type. Could be null if no parameter type was specified.

### getName

    public Expression getName()

  Returns the parameter name.

### evaluateArgument

    public java.lang.Object evaluateArgument(java.lang.Object argumentSource)

  Evaluate this method parameter against the provided argument source, returning a single method argument value.

  Parameters:
    `argumentSource` - the method argument source
  Returns:
    the method argument value

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD